Skip to main content
https://.thoughtindustries.com

Licenses

Creates a new license and associates it with the specified client, courses, learning paths, and course tags

Creates a new license and associates it with the specified client, courses, learning paths, and course tags.

POSThttps://example.thoughtindustries.com/incoming/v2/licenses

Example request

curl -X POST "https://example.thoughtindustries.com/incoming/v2/licenses" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "clientId": "00000000-0000-0000-0000-000000000000",
  "courseIds": "00000000-0000-0000-0000-000000000000",
  "learningPathIds": "00000000-0000-0000-0000-000000000000",
  "courseTagIds": "00000000-0000-0000-0000-000000000000"
}'

Parameters

NameTypeRequiredLocationDescription
clientIduuidYesbodyID of the client to associate this license with.
courseIdsuuid[]YesbodyIDs of the courses to include in this license.
learningPathIdsuuid[]YesbodyIDs of the learning paths to include in this license.
courseTagIdsuuid[]YesbodyIDs of the course tags to include in this license.
replaceCourseIdsbooleanNobodyWhen true, replaces the client's existing course assignments with the provided courseIds instead of appending.
replaceLearningPathIdsbooleanNobodyWhen true, replaces the client's existing learning path assignments with the provided learningPathIds instead of appending.
replaceCourseTagIdsbooleanNobodyWhen true, replaces the client's existing course tag assignments with the provided courseTagIds instead of appending.
namestringYesbodyDisplay name of the license.
labelstringNobodyShort label used to identify the license in listings and reports.
skustringNobodyStock-keeping unit identifier for the license.
seatsLimitintegerNobodyMaximum number of seats available under this license; omit for unlimited seats.
parentLicenseIduuidNobodyID of the parent license when creating a child license in a hierarchy.
accessDaysintegerNobodyNumber of days a learner retains access to licensed content after enrollment.
expirationDateISO 8601 timestampNobodyDate and time at which the license expires, in ISO 8601 format.
enableBrandingbooleanNobodyWhen true, applies the client's custom branding to the license experience.
isDefaultbooleanNobodyWhen true, designates this license as the default for the client.
ref1stringNobodyCustom reference field 1 for storing arbitrary metadata.
ref2stringNobodyCustom reference field 2 for storing arbitrary metadata.
ref3stringNobodyCustom reference field 3 for storing arbitrary metadata.
ref4stringNobodyCustom reference field 4 for storing arbitrary metadata.
ref5stringNobodyCustom reference field 5 for storing arbitrary metadata.
ref6stringNobodyCustom reference field 6 for storing arbitrary metadata.
ref7stringNobodyCustom reference field 7 for storing arbitrary metadata.
ref8stringNobodyCustom reference field 8 for storing arbitrary metadata.
ref9stringNobodyCustom reference field 9 for storing arbitrary metadata.
ref10stringNobodyCustom reference field 10 for storing arbitrary metadata.

Example response

{
  "data": {
    "CreateLicense": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "label": "string",
      "sku": "string",
      "client": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "schoolName": "string",
        "courses": [
          {
            "id": "00000000-0000-0000-0000-000000000000",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "slug": "example-slug",
            "status": "draft",
            "title": "string",
            "sessionIsTitled": true,
            "sampleLesson": {
              "...": "..."
            },
            "sampleLessonId": "00000000-0000-0000-0000-000000000000",
            "sections": [
              {
                "...": "..."
              }
            ],
            "appearanceBlock": "00000000-0000-0000-0000-000000000000",
            "appearanceHash": "string",
            "paywallsBlock": "00000000-0000-0000-0000-000000000000",
            "termsBlock": "00000000-0000-0000-0000-000000000000",
            "confirmationBlock": "00000000-0000-0000-0000-000000000000",
            "courseStartDate": "2024-01-01T00:00:00.000Z",
            "courseEndDate": "2024-01-01T00:00:00.000Z",
            "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
            "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
            "gracePeriodEndDate": "2024-01-01T00:00:00.000Z",
            "seatsLimit": 0,
            "waitlistCount": 0,
            "seatsLimitMet": true,
            "waitlistingEnabled": true,
            "waitlistingTriggered": true,
            "taxable": true,
            "purchasable": true,
            "taxCategory": "00000000-0000-0000-0000-000000000000",
            "fulfillmentCenter": "00000000-0000-0000-0000-000000000000",
            "courseGroup": {
              "...": "..."
            },
            "syllabusTitlesEnabled": true,
            "galleryEnabled": true,
            "workbookEnabled": true,
            "linkedWorkbookEnabled": true,
            "linkedWorkbookSkipEnabled": true,
            "superquizEnabled": true,
            "discussionsEnabled": true,
            "resourcesEnabled": true,
            "meetingsOverviewEnabled": true,
            "recurrenceRule": "string",
            "recurrence": {},
            "readableRecurrenceString": "string",
            "instructorAccessEnabled": true,
            "instructorEmails": [
              "string"
            ],
            "freeWithRegistration": true,
            "priceInCents": 0,
            "instructorAccessPriceInCents": 0,
            "suggestedRetailPriceInCents": 0,
            "alternativePricingType": "membership",
            "alternativePricingRef": 0,
            "accessDays": 0,
            "showProgress": true,
            "annotationsEnabled": true,
            "forceLinearProgress": true,
            "completionTimePerPage": 0,
            "askLearnerPassword": true,
            "roster": true,
            "topicGroupId": "00000000-0000-0000-0000-000000000000",
            "sku": "string",
            "prerequisiteCourses": [
              {
                "...": "..."
              }
            ],
            "prerequisiteLearningPaths": [
              {
                "...": "..."
              }
            ],
            "parentCourseId": "00000000-0000-0000-0000-000000000000",
            "isChild": true,
            "hasMultipleCurrencies": true,
            "prices": [
              {
                "...": "..."
              }
            ],
            "enrollmentActive": true,
            "waitlistActive": true,
            "webinarDates": [
              {
                "...": "..."
              }
            ],
            "webinarTimeZone": "string",
            "meetings": [
              {
                "...": "..."
              }
            ],
            "inPersonEventInfo": {
              "...": "..."
            },
            "currentUserHasAccess": true,
            "location": {
              "...": "..."
            },
            "displayMap": true,
            "publishDate": "2024-01-01T00:00:00.000Z",
            "isActive": true,
            "futurePublishDate": "2024-01-01T00:00:00.000Z",
            "balanceRequirement": 0,
            "awardClaimingOptions": [
              {
                "...": "..."
              }
            ],
            "availabilityStatus": "string",
            "embeddedEnabled": true,
            "displayResults": true,
            "bulkPurchasingEnabled": true,
            "seatTiers": [
              {
                "...": "..."
              }
            ],
            "seatPackages": [
              {
                "...": "..."
              }
            ],
            "lastTierPriceInCents": 0,
            "webinarId": "string",
            "hasChildren": true,
            "customFields": {},
            "kind": "microCourse",
            "rosterSubmittedDate": "2024-01-01T00:00:00.000Z",
            "finalAssessment": "string",
            "scormCollectUserDetails": true,
            "seatsUsedCount": 0,
            "seatsAllocatedCount": 0,
            "webinarDetails": {
              "...": "..."
            },
            "showSyllabusWhileUnenrolled": true,
            "topicGroup": {
              "...": "..."
            },
            "courseGroupTitle": "string",
            "currentUserDueDate": "2024-01-01T00:00:00.000Z"
          }
        ],
        "learningPaths": [
          {
            "id": "00000000-0000-0000-0000-000000000000",
            "layoutId": "00000000-0000-0000-0000-000000000000",
            "layout": {
              "...": "..."
            },
            "learnerLayoutId": "00000000-0000-0000-0000-000000000000",
            "learnerLayout": {
              "...": "..."
            },
            "name": "string",
            "sku": "string",
            "ribbon": {
              "...": "..."
            },
            "slug": "example-slug",
            "client": {
              "...": "..."
            },
            "createdAt": "2024-01-01T00:00:00.000Z",
            "metaTitle": "string",
            "metaDescription": "string",
            "asset": "https://example.com/path",
            "assetAltText": "string",
            "assetLibraryId": "00000000-0000-0000-0000-000000000000",
            "detailAsset": "https://example.com/path",
            "detailAssetAltText": "string",
            "detailAssetLibraryId": "00000000-0000-0000-0000-000000000000",
            "heroAsset": "https://example.com/path",
            "heroAssetAltText": "string",
            "priceInCents": 0,
            "suggestedRetailPriceInCents": 0,
            "alternativePricingType": "membership",
            "alternativePricingRef": 0,
            "accessDays": 0,
            "shortDescription": "string",
            "longDescription": "string",
            "tags": [
              {
                "...": "..."
              }
            ],
            "status": "draft",
            "freeWithRegistration": true,
            "hasMultipleCurrencies": true,
            "prices": [
              {
                "...": "..."
              }
            ],
            "customFields": {},
            "contentType": "string",
            "confirmationHtml": "string",
            "startDate": "2024-01-01T00:00:00.000Z",
            "endDate": "2024-01-01T00:00:00.000Z",
            "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
            "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
            "milestones": [
              {
                "...": "..."
              }
            ],
            "availabilityStatus": "string",
            "currentUserStartActionDate": "2024-01-01T00:00:00.000Z",
            "isPayAsYouGo": true,
            "language": "string",
            "futurePublishDate": "2024-01-01T00:00:00.000Z",
            "purchasable": true,
            "taxable": true,
            "fulfillmentCenter": {
              "...": "..."
            },
            "taxCategory": "00000000-0000-0000-0000-000000000000",
            "currentUserPendingCertificate": true,
            "currentUserEarnedCertificate": true,
            "currentUserDueDate": "2024-01-01T00:00:00.000Z",
            "bulkPurchasingEnabled": true,
            "seatTiers": [
              {
                "...": "..."
              }
            ],
            "seatPackages": [
              {
                "...": "..."
              }
            ],
            "lastTierPriceInCents": 0,
            "prerequisiteCourses": [
              {
                "...": "..."
              }
            ],
            "prerequisiteLearningPaths": [
              {
                "...": "..."
              }
            ],
            "resourceType": "string",
            "seatsLimit": 0,
            "videoAsset": "00000000-0000-0000-0000-000000000000",
            "relatedQuery": "string",
            "relatedQuerySignature": "string",
            "source": "string",
            "authors": [
              "string"
            ],
            "publishDate": "2024-01-01T00:00:00.000Z",
            "externalDetailUrl": "string",
            "externalConditionalRedirectUrl": "string",
            "kind": "string",
            "tabs": {
              "...": "..."
            },
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "dueDate": "2024-01-01T00:00:00.000Z",
            "dueDateDays": 0,
            "allowUnorderedMilestoneAccess": true,
            "authoringClient": "00000000-0000-0000-0000-000000000000",
            "isTemplate": true,
            "externalPurchaseUrl": "string"
          }
        ],
        "learningPathIds": [
          "00000000-0000-0000-0000-000000000000"
        ],
        "courseIds": [
          "00000000-0000-0000-0000-000000000000"
        ],
        "courseTags": [
          {
            "id": "00000000-0000